<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:banner="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    tools:context=".ui.howuse.HowUseShareActivity">

    <FrameLayout
        android:id="@+id/fl_fanhui"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="16dp"
        android:padding="16dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@mipmap/lan_fanhui"
            tools:ignore="ContentDescription" />
    </FrameLayout>

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="@string/how_to_use"
        android:textColor="#001725"
        android:textSize="22sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="@id/fl_fanhui"
        app:layout_constraintStart_toEndOf="@id/fl_fanhui"
        app:layout_constraintTop_toTopOf="@id/fl_fanhui" />


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintTop_toBottomOf="@id/fl_fanhui">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="30dp"
            android:text="@string/how_to_share_my_location"
            android:textColor="#001D29"
            android:textSize="20sp" />

        <TextView
            android:id="@+id/tv_step_number"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="14dp"
            android:text="@string/just_2_steps"
            android:textColor="#4D6068"
            android:textSize="18sp" />

        <TextView
            android:id="@+id/tv_step"
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:layout_gravity="center_horizontal"
            android:layout_marginHorizontal="24dp"
            android:layout_marginTop="36dp"
            android:gravity="center_horizontal"
            android:textColor="#7BB2E1"
            tools:text="@string/how_share_location_step_2" />


        <com.youth.banner.Banner
            android:id="@+id/banner"
            android:layout_width="match_parent"
            android:layout_height="220dp"
            android:layout_margin="15dp"
            app:banner_infinite_loop="false"
            banner:banner_indicator_normal_color="#C5C5C5"
            banner:banner_indicator_selected_color="#3C93E2"
            banner:banner_radius="5dp" />

        <com.youth.banner.indicator.RectangleIndicator
            android:id="@+id/indicator"
            android:layout_width="wrap_content"
            android:layout_height="15dp"
            android:layout_gravity="center_horizontal"
            banner:banner_indicator_height="10dp"
            banner:banner_indicator_radius="2.5dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginHorizontal="18dp"
            android:layout_marginTop="16dp"
            android:gravity="center"
            android:text="@string/more_two_use"
            android:textColor="#00101D"
            android:textSize="13sp" />

        <TextView
            android:id="@+id/tv_btn"
            android:layout_width="345dp"
            android:layout_height="50dp"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="16dp"
            android:background="@drawable/bg_3c93e2_10"
            android:gravity="center"
            android:textColor="@color/white"
            android:textSize="18sp"
            android:textStyle="bold"
            tools:text="Next" />

    </LinearLayout>


</androidx.constraintlayout.widget.ConstraintLayout>